<?php
/**
 * Simple PopOut Module Entry Point
 * 
 * @package    Joomla
 * @subpackage Modules
 * @author Anders Wasén
 * @link http://wasen.net/
 * @license		GNU/GPL, see http://wasen.net/index.php?option=com_content&view=article&id=2
 * mod_simplepopout is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//get the param
$spo_content = (string)$params->get('spo_content', '');

global $mainframe;

// include the helper file
require_once(dirname(__FILE__).DIRECTORY_SEPARATOR.'helper.php');


$popOutContent = '';

if (strlen($spo_content) > 0) {
	$popOutContent = ModSimplePopOutHelper::replaceNL($spo_content);
}else {
	$popOutContent = ModSimplePopOutHelper::getData($params);
}
// Envelope html
//$popOutEnvelope = '<header><h2 style="color: '.$spo_titletextcolor.'; background-color: '.$spo_titlebgcolor.';">'.$spo_title.'</h2></header>'
//$popOutEnvelope .= '<div class="popdown-content-container">';
//$popOutEnvelope .= '[REPLACE-CONTENT]';
//$popOutEnvelope .= '</div>';
// AW 2015-09-18, BUG: Base64 encode the data. Quotes, single quotes and other JSON chars wreck the jQuery plugin!!!
$popOutEnvelope = 'PGRpdiBzdHlsZT0iZm9udC1zaXplOjEwcHQ7Ij5TaW1wbGUgUG9wLU91dCBieSBBbmRlcnMgV2Fzw6luIChodHRwOi8vd2FzZW4ubmV0KTxici8+DQpGcmVlIG5vbi1jb21tZXJjaWFsIHZlcnNpb24gZm9yIEpvb21sYS4gwqkgQW5kZXJzIFdhc8OpbiAyMDE1PC9kaXY+';
//$popOutContent = mb_convert_encoding($popOutContent,"UTF-8","auto");
$popOutContnet = base64_encode($popOutContent);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_simplepopout'));
	
?>